<template>
  <component :is="tag" :id="id">
    <slot />

    <div class="doc-app__scroll-to-top">
      <rui-button :href="`#${id}`"
                  icon="doc:scroll-to-top"
                  size="large"
                  title="Scroll to top"
                  text />
    </div>
  </component>
</template>
<script>
import { RuiButton } from '../../../src/components/index.js'

export default {
  name: 'DocScrollToTop',
  components: { RuiButton },
  props: {
    tag: { required: false, type: String, default: 'main' },
    id: { required: false, type: String, default: '__top__' },
  },
}
</script>
